Bug 180337 - Lack of RandR options
Summary: Lack of RandR options
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-07 13:23 UTC by Dan Williams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-09 12:51:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf file (3.01 KB, text/plain)
2006-02-07 13:23 UTC, Dan Williams
no flags Details
X log file (49.01 KB, text/plain)
2006-02-07 13:25 UTC, Dan Williams
no flags Details

Description Dan Williams 2006-02-07 13:23:46 UTC
xorg-x11-server-Xorg-1.0.1-2

I suddenly don't have any screen resize options at all, just the default size
configured in xorg.conf.  And the refresh rate is rather off :)

[localhost ~]# xrandr
 SZ:    Pixels          Physical       Refresh
*0   1280 x 1024   ( 342mm x 271mm )  *18130
Current rotation - normal
Current reflection - none
Rotations possible - normal
Reflections possible - none

The display is a "Laptop Panel 1400x1050" from system-config-display, which is
actually the built-in LCD on my Dell Latitude C610.  This also means that stuff
like gnome-display-properties doesn't report the correct resolution list.  I
cannot change resolution without hitting system-config-display, choosing a
different resolution, and logging out.

Comment 1 Dan Williams 2006-02-07 13:23:46 UTC
Created attachment 124315 [details]
xorg.conf file

Comment 2 Dan Williams 2006-02-07 13:25:05 UTC
Created attachment 124316 [details]
X log file

Comment 3 Mike A. Harris 2006-02-09 10:40:15 UTC
(In reply to comment #0)
> xorg-x11-server-Xorg-1.0.1-2
> 
> I suddenly don't have any screen resize options at all, just the default size
> configured in xorg.conf.  And the refresh rate is rather off :)

Assuming you're claiming a regression has occured by "suddenly", what was the
previous build you were using that didn't have this problem?

The refresh rate shown does seem to be rather broken.

Your config file also appears to be configuring out of range refresh:

(WW) RADEON(0): config file vrefresh range 50-75Hz not within DDC vrefresh ranges.



Could you install debuginfo and trace through xrandr to see what's happening?

TIA

Comment 4 Dan Williams 2006-02-09 12:51:23 UTC
Updating to rawhide packages as of Feb 7 seems to have fixed the issue...


Note You need to log in before you can comment on or make changes to this bug.